%global packname  pscl
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.4.9
Release:          1%{?dist}.62
Summary:          Political Science Computational Laboratory, Stanford University

Group:            Applications/Engineering 
License:          GPL-2
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   R-MASS R-lattice
# Imports:   
# Suggests:  R-MCMCpack R-car R-lmtest R-sandwich R-zoo R-coda R-vcd R-mvtnorm R-mgcv
# LinkingTo:
# Enhances:


Requires:         R-MASS R-lattice 

#Requires:         R-MCMCpack R-car R-lmtest R-sandwich R-zoo R-coda R-vcd R-mvtnorm R-mgcv 
BuildRequires:    R-devel tex(latex) R-MASS R-lattice

BuildRequires:   R-car R-lmtest R-sandwich R-zoo R-coda R-vcd R-mvtnorm R-mgcv 
#BuildRequires:   R-MCMCpack R-car R-lmtest R-sandwich R-zoo R-coda R-vcd R-mvtnorm R-mgcv 

%description
Bayesian analysis of item-response theory (IRT) models, roll call
analysis; computing highest density regions; maximum likelihood estimation
of zero-inflated and hurdle models for count data; goodness-of-fit
measures for GLMs; data sets used in writing	and teaching at the Political
Science Computational Laboratory; seats-votes curves.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
_R_CHECK_FORCE_SUGGESTS_=false %{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/CITATION
%license %{rlibdir}/%{packname}/COPYRIGHTS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/extdata
%{rlibdir}/%{packname}/help


%changelog
* Wed Jan 25 2017 Oleg Girko <ol@infoserver.lv> 1.4.9-1
- Initial package for Fedora
